#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,q;
    cin>>n>>q;
    int a[n+1];
    int b[q];
    for(int i=1; i<=n; i++)
        cin>>a[i];
    sort(a+1, a+n+1);
    for(int i=0; i<q; i++)
        cin>>b[i];
    int br=n;
    int levo,s,desno,x,veci,manji;
    int rezultat=0;
    for(int i=0; i<q; i++)
    {
        x=b[i];
        rezultat=0;
        br=n;
        if(x==a[1])
            cout<<n-1<<endl;
        else if(x<a[1])
            cout<<n+1<<endl;
        else if(x>a[n])
            cout<<n<<endl;
        else
        {
            levo=1;
            desno=n;
            s=(levo+desno)/2;
            while(levo<=desno)
            {
                if(x<a[s])
                {
                    veci=s;
                    desno=s-1;
                    s=(levo+desno)/2;
                }
                else
                {
                    levo=s+1;
                    s=(levo+desno)/2;
                }
            }
            levo=1;
            desno=n;
            s=(levo+desno)/2;
            while(levo<=desno)
            {
                if(x>a[s])
                {
                    manji=s;
                    levo=s+1;
                    s=(levo+desno)/2;

                }
                else
                {
                    desno=s-1;
                    s=(levo+desno)/2;
                }
            }

            if(manji+1==veci)
            {
                br++;
                rezultat++;
                veci++;
            }
            s=br/2+1;
            if(manji+1>s)
            {
                rezultat=rezultat+2*manji-br;
            }
            else if(manji+1<s)
            {
                rezultat=rezultat+br-2*manji-1;
            }
            cout<<rezultat<<endl;
        }
    }
}